## groovy.util.slurpersupport
Class ReplacementNode

    java.lang.Object
      groovy.util.slurpersupport.ReplacementNode

All Implemented Interfaces:
  Buildable, Writable

    public abstract class ReplacementNode

extends Object
implements Buildable, Writable

Constructor Summary
`ReplacementNode()`

Method Summary
`void` `build(GroovyObject builder)`
`abstract void` `build(GroovyObject builder, Map namespaceMap, Map namespaceTagHints)`
`Writer` `writeTo(Writer out)` writes this object to the given stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplacementNode

    public ReplacementNode()

Method Detail

### build

    public abstract void build(GroovyObject builder,
                               Map namespaceMap,
                               Map namespaceTagHints)

### build

    public void build(GroovyObject builder)

  Specified by:
    `build` in interface `Buildable`

### writeTo

    public Writer writeTo(Writer out)
                   throws IOException

  Description copied from interface: `Writable`
  writes this object to the given stream

  Specified by:
    `writeTo` in interface `Writable`
  Throws:
    `IOException`

Copyright © 2003-2008 The Codehaus. All rights reserved.